#ifndef FAKEYPAD_INCLDUED
#define FAKEYPAD_INCLDUED

#include "ClassPad.h"

class FaKeypad: public CPWindow
{
protected:
    PegRect r;
    int keyOffset;
    bool shift;
    int sv;
    
public:
	FaKeypad(PegRect rect): CPWindow(rect, FF_NONE)
	{
	    shift = false;
	    AddButtons();
	    SetTexts();
	}
	~FaKeypad(){}
	
	void Draw();
    SIGNED Message(const PegMessage &Mesg);
    void SendKeyMsg(WORD btn);
    
    void AddButtons();
    void SetTexts();
    
    void AddButton(PEGCHAR* text = "", int count = 1);
    void AddButton(WORD text);
    void AddButton( const PEGCHAR *text);
    void SetText(WORD key, WORD text);
    void SetText(WORD key, PEGCHAR *text);
    
    int kHeight()
    {
        return 81;
    }
};

#endif

